package jkje.swing;

import java.awt.*;
import java.util.StringTokenizer;
import javax.swing.*;
import javax.swing.table.TableCellRenderer;
import jkje.utils.*;

public class DateCellRenderer extends JTextField implements TableCellRenderer {
    public Component getTableCellRendererComponent (JTable table,
            Object value, boolean isSelected, boolean hasFocus, int row,
            int column) {


        //removeAll();
        //System.out.println("datecellrenderer row col " + row + " " + column);
        //System.out.println("datecellrenderer value " + value);
        //if (!(value instanceof java.sql.Timestamp)) {
        //  System.out.println(" value is not sql timestamps");
        //  return null;
        //}
        String ts=MyFormatter.sqlTimestamp((java.sql.Timestamp)value,"ddMMMyyyy");
	//System.out.println("formatted ts " + ts);
        setEditable(false);
        if (isSelected) {
	   setForeground(table.getSelectionForeground());
	   setBackground(table.getSelectionBackground());
	} else {
	   setForeground(table.getForeground());
	   setBackground(table.getBackground());
	}
	setText(ts);
	//setBackground(java.awt.Color.white);
	//setOpaque(false);
        //LookAndFeel.installColorsAndFont(ts,
	//				 "TableCell.background",
        //                                 "TableCell.foreground",
        //                                 "TableCell.font");

        LookAndFeel.installBorder(this,"TableCell.cellBorder");
        return this;
   }

}