package jkje.swing;

import java.awt.*;
import java.util.StringTokenizer;
import javax.swing.*;
import javax.swing.table.TableCellRenderer;
import jkje.utils.*;

public class TimestampCellRenderer extends JTextField implements TableCellRenderer {
    public Component getTableCellRendererComponent (JTable table,
            Object value, boolean isSelected, boolean hasFocus, int row,
            int column) {


        //removeAll();
        String ts=MyFormatter.sqlTimestamp((java.sql.Timestamp)value);
	setEditable(false);
        if (isSelected) {
	   setForeground(table.getSelectionForeground());
	   setBackground(table.getSelectionBackground());
	} else {
	   setForeground(table.getForeground());
	   setBackground(table.getBackground());
	}
	setText(ts);
	//setBackground(java.awt.Color.white);
	//setOpaque(false);
        //LookAndFeel.installColorsAndFont(ts,
	//				 "TableCell.background",
        //                                 "TableCell.foreground",
        //                                 "TableCell.font");

        LookAndFeel.installBorder(this,"TableCell.cellBorder");
        return this;
   }

}